API для партнерів › Інформація Додати запис до чорного списку POST /api/crm/v2/black_list.addv2
operationId: blackList.add
Додає запис до чорного списку. type_lock визначає, який ідентифікатор очікується в тілі запиту: phone_number, client_branch_profile_id або client_account_id. Дублікати в межах мережі відхиляються.
Авторизація api-token + language + role
Тіло запиту application/json object
type_lock string обов’язковий
Значення: phone_numberclient_branch_profile_idclient_account_id
Приклад: phone_number
Один із варіантів
blackListOneOf
object (blackListOneOf)
Один із варіантів
object object object
object
Блокування за phone_number
phone_format_id integer (PhoneFormatId) обов’язковий
Код країни: 1-🇷🇺(+7|8), 2-🇦🇿(+994|0), 3-🇧🇾(+375|80), 4-🇰🇿(+7|8), 6-🇷🇸(+381|0), 7-🇹🇷(+90|0), 8-🇺🇦(+380|0), 9-🇵🇹(+351|0), 10-🇰🇬(+996|0), 11-🇺🇸(+1), 12-🇫🇷(+33|0), 13-🇲🇩(+373|0), 15-🇪🇪(+372), 18-🇬🇪(+995), 19-🇺🇿(+998), 22-🇵🇱(+48|0), 23-🇹🇯(+992|8), 25-🇷🇴(+40|0), 44-🇨🇭(+41|0)
Приклад: 1
phone_number string обов’язковий
Приклад: 705-712-51-20
object
Блокування за client_branch_profile_id
client_branch_profile_id integer обов’язковий
ID профілю клієнта у філії
Приклад: 48997963
object
Блокування за client_account_id
client_account_id integer обов’язковий
ID облікового запису клієнта
Приклад: 4211309
Відповіді 200
object
status string обов’язковий
Значення: successerror
Приклад: success
data object
description string
Приклад: Successfully added
row object
chain_id integer
Приклад: 7135
date string (DataTimeFormatSQL)
Приклад: 2024-05-02 08:31:16
phone_format_id integer
Приклад: 4
phone_number string
Приклад: 7057125119
client_account_id integer
Приклад: 0
client_branch_profile_id integer
Приклад: 0
blocked boolean
Приклад: true
curl PHP JavaScript Python Копіювати
curl -X POST 'https://foodsoul.pro/api/crm/v2/black_list.add' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: uk' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"phone_format_id":1,"phone_number":"705-712-51-20"}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.pro/api/crm/v2/black_list.add' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'uk' ,
'role' => 'partner' ,
],
'json' => [
'phone_format_id' => 1 ,
'phone_number' => '705-712-51-20' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/black_list.add" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "uk" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"phone_format_id" : 1 ,
"phone_number" : "705-712-51-20"
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.pro/api/crm/v2/black_list.add" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "uk" ,
"role" : "partner" ,
},
json ={
"phone_format_id" : 1 ,
"phone_number" : "705-712-51-20" ,
},
)
data = response . json () Відповідь 200
{
"status" : "success" ,
"data" : {
"description" : "Successfully added" ,
"row" : {
"chain_id" : 7135 ,
"date" : "2024-05-02 08:31:16" ,
"phone_format_id" : 4 ,
"phone_number" : "7057125119" ,
"client_account_id" : 0 ,
"client_branch_profile_id" : 0 ,
"blocked" : true ,
"id" : "82348"
}
}
} Запити надсилаються на foodsoul.pro — це хост цього порталу, інший обрати неможливо.